//
// main.c
//

#include <stdio.h>
#include <string.h>
#include <math.h>
#include <curses.h>
#include <assert.h>
#include "main.h"
#include "core.h"
#include "display.h"
#include "input.h"
#include "debug.h"


  //
  //                       R-20 SIMULATOR
  //
  //                jul/aug 2012, insektoiden.de
  //


/**
 * Main loop: Output and wait for keypress.
 */
int main(void) {
  init_display();
  init_core();

  int key = 0;
  do {
    screen_refresh();
    key = getch();
    //char dstr[32];
    //sprintf(dstr, "Key pressed: %i", key);
    //debug_print(dstr);
    call(key);
  } while (key != 27);            // 27 = escape (ASCII)

  close_display();
  return 0;
} // main
