//
// debug.h
//

#include "debug.h"

int line = 1;

/**
 * Debugging helper function to print one line outside the main screen.
 */
void debug_print(char* str) {
  if (line > DEBUG_SIZE)
    for (; line > 1; line--) {
      move(line + DEBUG_LINE,0);
      printw("                                                     ");
    }
  move(line + DEBUG_LINE,0);
  printw("*** DEBUG INFO: ");
  printw(str);
  line++;
}


/**
 * Used to kill program during debugging.
 */
void exit_curses() {
  echo();
  endwin();
  exit(0);
}
